Subject: [nvo3] ECN over IP-shim-(L2)-IP Tunnels: New draft-ietf-tsvwg-rfc6040update-shim-03

From: Bob Briscoe <[email-masked]>
Date: Tue, 27 Jun 2017 13:00:01 +0100

David (as doc shepherd),

This is the 3rd revision in the last 2 months. This revision attempts to 
capture all the comments collected thanks to Carlos, Ignacio, Praveen, 
Joe and Alia. It would be useful to have a confirmation from each of you 
that I have addressed your concerns (or not).

I have cross-posted all the lists potentially affected by this draft 
(intended proposed standard).
If you reply concerning a specific point, pls trim the distribution only 
to those interested/relevant.

* tsvwg: owns updates to ECN
* int-area: owns mtce of many tunnelling protocols, particularly GRE?, 
Teredo? GUE
* l2tpext: owns mtce of L2TP
* opsawg: owns mtce of CAPWAP
* nvo3: currently defining Geneve, VXLAN-GPE
* sfc: currently defining NSH

 From my point of view, this draft is now 'finished'. I.e. I am happy 
with it, and it is the first draft where all the ToDo's are done. I 
believe it is on track for the milestone of WGLC before the Nov'17 IETF. 
As I understand it, WGLC will run in tsvwg and in parallel in int-area, 
l2tpext and perhaps opsawg.

Main changes since -02:
* Completely restructured, with definitions of scope before even 
mentioning "tightly coupled shim headers", and new subsections where 
existing text on feasibility and desirability has been re-homed.
* Explanation of the safety problem, and the procedural problem this 
caused when previous ECN RFCs were written (an RFC cannot 
retrospectively set requirements on implementations, so we can only set 
operational requirements - configuration).
* Added NSH, but it doesn't seem to cover encapsulation.
* No longer categorized VXLAN-GPE as intended for standards track
* Added Teredo update text (for safety).

Cheers

Bob

-------- Forwarded Message --------
Subject: 	New Version Notification for 
draft-ietf-tsvwg-rfc6040update-shim-03.txt
Date: 	Tue, 27 Jun 2017 04:13:58 -0700
From: 	[email-masked]
To: 	Bob Briscoe <[email-masked]>

A new version of I-D, draft-ietf-tsvwg-rfc6040update-shim-03.txt
has been successfully submitted by Bob Briscoe and posted to the
IETF repository.

Name:		draft-ietf-tsvwg-rfc6040update-shim
Revision:	03
Title:		Propagating Explicit Congestion Notification Across IP Tunnel Headers Separated by a Shim
Document date:	2017-06-27
Group:		tsvwg
Pages:		16
URL:            https://www.ietf.org/internet-drafts/draft-ietf-tsvwg-rfc6040update-shim-03.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-tsvwg-rfc6040update-shim/
Htmlized:       https://tools.ietf.org/html/draft-ietf-tsvwg-rfc6040update-shim-03
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-tsvwg-rfc6040update-shim-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-rfc6040update-shim-03

Abstract:
    RFC 6040 on "Tunnelling of Explicit Congestion Notification" made the
    rules for propagation of ECN consistent for all forms of IP in IP
    tunnel.  This specification updates RFC 6040 to clarify that its
    scope includes tunnels where two IP headers are separated by at least
    one shim header that is not sufficient on its own for wide area
    packet forwarding.  It surveys widely deployed IP tunnelling
    protocols separated by such shim header(s) and updates the
    specifications of those that do not mention ECN propagation (L2TPv2,
    L2TPv3, GRE and Teredo).  This specification also updates RFC 6040
    with configuration requirements needed to make any legacy tunnel
    ingress safe.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat